OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::JsonOfstream Class Reference

`#include <jsonOfstream.hpp>`

## Public Member Functions
| JsonOfstream (const std::string &filePath, const bool humanReadable=true)
virtual | ~JsonOfstream ()
void | objectOpen ()
void | objectClose ()
void | arrayOpen ()
void | arrayClose ()
void | version (const std::string &version)
void | key (const std::string &string)
template<typename T >
void | plainText (const T &value)
void | comma ()
void | enter ()

## Constructor & Destructor Documentation

op::JsonOfstream::JsonOfstream | ( | const std::string & | filePath,
|  | const bool | humanReadable = `true`
| ) |  |
| explicit

virtual op::JsonOfstream::~JsonOfstream | ( |  | ) |
| virtual

## Member Function Documentation

void op::JsonOfstream::arrayClose | ( |  | ) |

void op::JsonOfstream::arrayOpen | ( |  | ) |

void op::JsonOfstream::comma | ( |  | ) |
| inline

void op::JsonOfstream::enter | ( |  | ) |

void op::JsonOfstream::key | ( | const std::string & | string | ) |

void op::JsonOfstream::objectClose | ( |  | ) |

void op::JsonOfstream::objectOpen | ( |  | ) |

template<typename T >

void op::JsonOfstream::plainText | ( | const T & | value | ) |
| inline

void op::JsonOfstream::version | ( | const std::string & | version | ) |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/filestream/jsonOfstream.hpp